[expected-failures]
piglit.spec.arb_sample_shading.samplemask 6 all = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.arb_shader_image_load_store.early-z = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.ext_transform_feedback.tessellation triangle_fan flat_first = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.arb_framebuffer_object.fbo-generatemipmap-3d = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.!opengl 3_2.gl-3_2-adj-prims line cull-front pv-last = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.!opengl 1_1.linestipple = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.arb_sample_shading.samplemask 4 all = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.arb_query_buffer_object.qbo = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.ext_framebuffer_object.fbo-flushing-2 = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.!opengl 1_1.read-front clear-front-first = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.khr_texture_compression_astc.miptree-gl srgb-fp = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.arb_sample_shading.samplemask 4 = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.!opengl 1_0.gl-1_0-swapbuffers-behavior = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.arb_sample_shading.samplemask 16 all = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.arb_sample_shading.samplemask 8 all = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.khr_texture_compression_astc.miptree-gles srgb-fp = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.arb_sample_shading.samplemask 16 = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.arb_sample_shading.samplemask 2 all = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.!opengl 2_0.vs-point_size-zero = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.khr_texture_compression_astc.sliced-3d-miptree-gles srgb-fp = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.arb_program_interface_query.arb_program_interface_query-getprogramresourceindex = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.arb_separate_shader_objects.execution.layout-location-block = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.khr_texture_compression_astc.sliced-3d-miptree-gl srgb-fp = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.arb_shader_texture_lod.execution.arb_shader_texture_lod-texgradcube = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.arb_sample_shading.samplemask 8 = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.arb_sample_shading.samplemask 6 = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.arb_sample_shading.samplemask 2 = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.!opengl 1_1.read-front = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.glsl-1_50.execution.geometry.primitive-types gl_line_loop = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.!opengl 3_2.gl-3_2-adj-prims line cull-front pv-first = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.!opengl 3_2.gl-3_2-adj-prims cull-front pv-last = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.egl_khr_gl_image.egl_khr_gl_renderbuffer_image-clear-shared-image gl_depth_component24 = bug 99265
piglit.spec.arb_texture_cube_map_array.texsubimage cube_map_array = mesa ea9bde151f1394ff82b73d028c2a3a747723e525
piglit.spec.!opengl 1_1.gl-1_1-drawarrays-vertex-count 100000 vbo gl_line_strip = piglit 968d55720fe686ad68424bbcac60e2593fd35154
piglit.spec.ext_framebuffer_blit.fbo-blit-check-limits = piglit a845f4691106bb490e58a0e0fa96b92306c3e12c
piglit.spec.ext_texture_integer.fbo-integer = mesa e71936a731a93ddfb3325c41a5a9756175020ee9
piglit.spec.arb_texture_multisample.arb_texture_multisample-dsa-texelfetch = piglit af7b83d3aa7bf37f8bc94eb7a5394a0a15306a58
piglit.spec.glsl-1_20.compiler.invalid-vec4-array-to-vec3-array-conversion_vert = piglit 99627d28c53df03bfa6f6a474a3db59724d69725
piglit.spec.oes_egl_image_external_essl3.oes_egl_image_external_essl3 = piglit 8a9045c65b446f5ecae7a69a6d545fa39a754288
piglit.spec.arb_gpu_shader_fp64.execution.built-in-functions.vs-sign-sat-neg-abs = see mesa issue #3082
piglit.spec.!opengl 1_1.read-front samples.8 = mesa 82b46667836647226387442b2feb9d7f1475bd36
piglit.spec.!opengl 1_1.read-front clear-front-first samples.6 = mesa 82b46667836647226387442b2feb9d7f1475bd36
piglit.spec.!opengl 1_1.read-front clear-front-first samples.8 = mesa 82b46667836647226387442b2feb9d7f1475bd36
piglit.spec.!opengl 1_1.read-front samples.2 = mesa 82b46667836647226387442b2feb9d7f1475bd36
piglit.spec.!opengl 1_1.read-front samples.4 = mesa 82b46667836647226387442b2feb9d7f1475bd36
piglit.spec.!opengl 1_1.read-front samples.6 = mesa 82b46667836647226387442b2feb9d7f1475bd36
piglit.spec.!opengl 1_1.read-front clear-front-first samples.2 = mesa 82b46667836647226387442b2feb9d7f1475bd36
piglit.spec.!opengl 1_1.read-front clear-front-first samples.4 = mesa 82b46667836647226387442b2feb9d7f1475bd36
piglit.spec.!opengl 1_1.read-front samples.16 = mesa 82b46667836647226387442b2feb9d7f1475bd36
piglit.spec.!opengl 1_1.read-front clear-front-first samples.16 = mesa 82b46667836647226387442b2feb9d7f1475bd36

[expected-crashes]
piglit.spec.egl 1_4.egl-copy-buffers = mesa 3ebaec2b1d196a8bf5944490804c80c4e49216dc
piglit.spec.egl_ext_device_base.conformance = mesa d6edccee8da38d4802020d5aa4d9e11bb7aae801
piglit.spec.!opengl 1_0.rasterpos = piglit a24b0dbdbc4df9771d3ab0bc382f7b9c29b5e7b5
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-s2.2.2-vec3-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float.5-dmat3x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float.3-dmat3x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float.3-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float.3-dvec2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float-float-float-dvec3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-s2.3-dvec2-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-s2.2-vec3-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-s2-double-s3-float-s4-dmat3x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-s2.3-dvec2-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float.5-dmat2x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-vec3-dmat2x4 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-vec3-dmat3x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float-float-float-dvec2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-vec3-double.3.2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float.3-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float-double.3.2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float-dvec3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float.1-dmat2x4 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float.1-dmat3x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s2.2-s3.2-float-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float-dmat2x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-s2.2-s3.2-vec3-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float.1-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float.5-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float.3-dmat3x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s2.2.2-float-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s2.3-dvec3-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float.3-dmat3x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-double-float-double.2-float.3-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-s2.2.2-float-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float.3-dvec3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float-dmat3x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-vec3-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float.5-dmat2x4 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float-float-float-dvec2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-s2.3-dvec3-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-vec3-dmat3x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-vec3-dvec2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-s2.2-float-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-vec3-dvec3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float.3-dmat3x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-vec3-dmat2x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float.1-dmat2x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float.3-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-vec3-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float.1-dmat3x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-vec3-dmat3x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s2.2-vec3-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-s2.3-double-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float-double.3.2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float.1-dmat2x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float-dmat3x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float.3-dvec3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-vec3-dvec3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s2.3-dvec3-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float.3-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s2.3-double-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float.5-dmat2x4 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float.3-dmat2x4 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s2.2-s3.2-float-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float-dmat3x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-vec3-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-s2.3-dvec3-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-s2.2-s3.2-float-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-vec3-dmat2x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float-dvec3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-vec3-dmat2x4 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float.1-dmat2x4 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s2.2-s3.2-vec3-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s2.3-double-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-s2.2.2-vec3-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float-dmat3x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float.5-dmat3x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float-dmat2x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float-float-float-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s2.3-dvec2-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float.1-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float-float-float-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float.5-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s2.2-vec3-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float.5-dmat2x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s2.2-s3.2-vec3-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float-dvec2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s2.3-dvec2-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float.1-dmat3x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-double-float-double.2-float.3-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float.3-dmat2x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-s2.2-s3.2-float-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-vec3-dmat3x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-s2.3-double-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float-dmat2x4 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s2.2-float-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-s2.2-float-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-vec3-double.3.2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float.3-dmat2x4 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float.5-dmat3x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-vec3-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float-dmat2x4 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float.3-dmat2x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-s2.2-vec3-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-s2-double-s3-float-s4-dmat3x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s2.2.2-vec3-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-s2.2-s3.2-vec3-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s2.2-float-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s2.2.2-float-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s2.2.2-vec3-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-vec3-dvec2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float-dvec2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float-float-float-dvec3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-s2.2.2-float-double = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float-dmat2x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.glsl-4_00.execution.inout.vs-out-fs-in-s1-float.1-dmat3x3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float.5-dmat3x2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_fp64.execution.inout.vs-out-fs-in-s1-float.3-dvec2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-s2.2-s3.2-vec3-int64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s2.2.2-float-uint64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-vec3-i64vec2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-float-float-float-uint64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s2.3-u64vec3-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-s2.2.2-vec3-int64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-float-float-float-u64vec3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s2.2.2-vec3-int64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-float-float-float-i64vec2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-s2.2.2-vec3-uint64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-float.3-uint64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-float.3-i64vec3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s2.2-s3.2-float-uint64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-vec3-uint64_t.3.2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s2.2-s3.2-vec3-uint64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-float-int64_t.3.2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-float-i64vec3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-s2.3-u64vec2-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-float-float-float-int64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-float.3-u64vec2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-s2.3-uint64_t-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-s2.3-int64_t-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-vec3-uint64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-float.3-int64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s2.3-int64_t-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-s2.2-s3.2-float-int64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-vec3-u64vec2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-s2.2.2-float-int64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-s2.2-s3.2-vec3-uint64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s2.2.2-float-int64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-float.3-i64vec2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s2.2-s3.2-float-int64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s2.2-s3.2-vec3-int64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-s2.2-s3.2-float-uint64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s2.2.2-vec3-uint64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-s2.3-i64vec2-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s2.3-i64vec2-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-float-i64vec2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-vec3-int64_t.3.2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s2.3-u64vec2-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s2.3-i64vec3-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s2.3-uint64_t-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-vec3-i64vec3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-s2.3-i64vec3-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-float-u64vec3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-s2.3-u64vec3-float = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-vec3-int64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-float-float-float-i64vec3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-vec3-u64vec3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-s2.2.2-float-uint64_t = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-float-uint64_t.3.2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-float-float-float-u64vec2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-float-u64vec2 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.arb_gpu_shader_int64.execution.inout.vs-out-fs-in-s1-float.3-u64vec3 = piglit 6a97ad30df85993a51f62ad8d9e017b230243b4d
piglit.spec.intel_shader_atomic_float_minmax.compiler.atomicmin-array-element-implicit-conversion-fail_vert = piglit 5d0ff49f351edc0a35584ddca517731a0250498b
piglit.spec.arb_shader_storage_buffer_object.compiler.atomicmin-swizzle-implicit-conversion_vert = piglit 5d0ff49f351edc0a35584ddca517731a0250498b
piglit.spec.intel_shader_atomic_float_minmax.compiler.atomicmin-implicit-conversion-fail_vert = piglit 5d0ff49f351edc0a35584ddca517731a0250498b
piglit.spec.arb_shader_storage_buffer_object.compiler.atomiccompswap-implicit-conversion_vert = piglit 5d0ff49f351edc0a35584ddca517731a0250498b
piglit.spec.arb_shader_storage_buffer_object.compiler.atomicmin-implicit-conversion_vert = piglit 5d0ff49f351edc0a35584ddca517731a0250498b
piglit.spec.arb_shader_storage_buffer_object.compiler.atomicmin-array-element-implicit-conversion_vert = piglit 5d0ff49f351edc0a35584ddca517731a0250498b
piglit.spec.intel_shader_atomic_float_minmax.compiler.atomicmin-swizzle-implicit-conversion-fail_vert = piglit 5d0ff49f351edc0a35584ddca517731a0250498b
piglit.spec.intel_shader_atomic_float_minmax.compiler.atomiccompswap-implicit-conversion_vert = piglit 5d0ff49f351edc0a35584ddca517731a0250498b

[fixed-tests]
piglit.spec.arb_framebuffer_object.arb_framebuffer_object-depth-stencil-blit depth gl_depth24_stencil8 = mesa b1f82ee743ff3317fded8ba766564ba184c607c1
piglit.spec.arb_framebuffer_object.arb_framebuffer_object-depth-stencil-blit depth gl_depth32f_stencil8 = mesa b1f82ee743ff3317fded8ba766564ba184c607c1
piglit.spec.arb_enhanced_layouts.compiler.explicit-offsets.ssbo-explicit-offset-vec3_vert = mesa ecd7cd3e3417381c05e5e41e70de2240e0837143 minor tidying
piglit.spec.arb_enhanced_layouts.compiler.explicit-offsets.ubo-explicit-offset-vec3_vert = mesa ecd7cd3e3417381c05e5e41e70de2240e0837143 minor tidying
piglit.spec.arb_gpu_shader5.arb_gpu_shader5-xfb-streams-without-invocations = mesa ecd7cd3e3417381c05e5e41e70de2240e0837143 minor tidying
piglit.spec.!opengl 1_0.gl-1_0-spot-light = mesa 69930d02b15be33a326855dc1d6cbbae2a84706a iris Implement ALT mode for ARB_.vertex,fragment._shader
piglit.spec.arb_vertex_program.vp-max-array = mesa 0d2b74579d1943657c72bbdef1fe62dace59ffa3 try to use sampler variables and derefs in TTN
piglit.vulkan.glsl450.reflect-double = mesa 3090c6b9e9c114b3438be83399c7bed12f920505
piglit.vulkan.glsl450.frexp-double = mesa 3090c6b9e9c114b3438be83399c7bed12f920505
piglit.vulkan.shaders.fs-large-local-array = mesa 3090c6b9e9c114b3438be83399c7bed12f920505
piglit.vulkan.shaders.fs-large-local-array-vec3 = mesa 3090c6b9e9c114b3438be83399c7bed12f920505
piglit.shaders.glsl-bug-109601 = mesa 3090c6b9e9c114b3438be83399c7bed12f920505
piglit.spec.!opengl 1_1.gl_select - depth-test enabled = mesa 3090c6b9e9c114b3438be83399c7bed12f920505
piglit.vulkan.shaders.fs-multiple-large-local-array = mesa 3090c6b9e9c114b3438be83399c7bed12f920505
piglit.spec.!opengl 1_1.gl_select - scissor-test enabled = mesa 3090c6b9e9c114b3438be83399c7bed12f920505
piglit.spec.!opengl 1_1.gl_select - stencil-test enabled = mesa 3090c6b9e9c114b3438be83399c7bed12f920505
piglit.vulkan.glsl450.face-forward-double = mesa 3090c6b9e9c114b3438be83399c7bed12f920505
piglit.spec.!opengl 1_1.gl_select - alpha-test enabled = mesa 3090c6b9e9c114b3438be83399c7bed12f920505
piglit.vulkan.shaders.fs-large-local-array-vec4 = mesa 3090c6b9e9c114b3438be83399c7bed12f920505
piglit.vulkan.shaders.fs-large-local-array-vec2 = mesa 3090c6b9e9c114b3438be83399c7bed12f920505
piglit.vulkan.glsl450.refract-double = mesa 3090c6b9e9c114b3438be83399c7bed12f920505
piglit.spec.!opengl 1_0.gl-1_0-rendermode-feedback = mesa 3090c6b9e9c114b3438be83399c7bed12f920505
piglit.spec.!opengl 1_1.gl_select - no test function = mesa 3090c6b9e9c114b3438be83399c7bed12f920505
piglit.vulkan.glsl450.isinf-double = mesa 3090c6b9e9c114b3438be83399c7bed12f920505
piglit.spec.oes_texture_view.rendering-formats = mesa b45186a6cd0ed7539e427d4443671faef9f95058
piglit.spec.!opengl es 3_0.gl_vertexid used with gldrawarrays = mesa 4122665dd90dc8997840194094bbd8cbefd7a4c3
piglit.spec.!opengl 3_2.gl_vertexid used with glmultidrawelementsbasevertex = mesa 4122665dd90dc8997840194094bbd8cbefd7a4c3
piglit.spec.!opengl 3_0.gl_vertexid used with glmultidrawarrays = mesa 4122665dd90dc8997840194094bbd8cbefd7a4c3
piglit.spec.glsl-1_50.transform-feedback-vertex-id = mesa 4122665dd90dc8997840194094bbd8cbefd7a4c3
piglit.spec.arb_draw_indirect.gl_vertexid used with gldrawarraysindirect = mesa 4122665dd90dc8997840194094bbd8cbefd7a4c3
piglit.spec.arb_multi_draw_indirect.gl-3_0-multidrawarrays-vertexid -indirect = mesa 4122665dd90dc8997840194094bbd8cbefd7a4c3
piglit.spec.arb_draw_indirect.gl_vertexid used with gldrawelementsindirect = mesa 4122665dd90dc8997840194094bbd8cbefd7a4c3
piglit.spec.arb_query_buffer_object.coherency = mesa 4122665dd90dc8997840194094bbd8cbefd7a4c3
piglit.spec.arb_gpu_shader_int64.execution.fs-ushr-and-mask-loop = mesa 55e6454d5e9dae6f8f29992af83f99217446da38
piglit.spec.arb_gpu_shader_int64.execution.fs-ushr-and-mask = mesa 55e6454d5e9dae6f8f29992af83f99217446da38
piglit.shaders.point-vertex-id gl_vertexid gl_instanceid divisor = mesa ffa9082c406d17680c0ceeeac921ace5e793e5af
piglit.shaders.point-vertex-id gl_instanceid divisor = mesa ffa9082c406d17680c0ceeeac921ace5e793e5af
piglit.shaders.point-vertex-id gl_vertexid gl_instanceid = mesa ffa9082c406d17680c0ceeeac921ace5e793e5af
piglit.spec.!opengl 1_0.gl-1_0-edgeflag-quads = mesa ffa9082c406d17680c0ceeeac921ace5e793e5af
piglit.spec.!opengl 1_0.gl-1_0-edgeflag = mesa ffa9082c406d17680c0ceeeac921ace5e793e5af
piglit.spec.!opengl 2_0.gl-2_0-edgeflag = mesa ffa9082c406d17680c0ceeeac921ace5e793e5af
piglit.shaders.point-vertex-id gl_vertexid = mesa ffa9082c406d17680c0ceeeac921ace5e793e5af
piglit.shaders.point-vertex-id gl_instanceid = mesa ffa9082c406d17680c0ceeeac921ace5e793e5af
piglit.spec.!opengl 2_0.gl-2_0-edgeflag-immediate = mesa ffa9082c406d17680c0ceeeac921ace5e793e5af
piglit.spec.ati_fragment_shader.ati_fragment_shader-render-textargets = mesa a4324dcefb749983e45d2ae7b005e1a6de4a3064
piglit.spec.ati_fragment_shader.ati_fragment_shader-render-default = mesa a4324dcefb749983e45d2ae7b005e1a6de4a3064
piglit.spec.ati_fragment_shader.ati_fragment_shader-render-notexture = mesa a4324dcefb749983e45d2ae7b005e1a6de4a3064
piglit.spec.ati_fragment_shader.ati_fragment_shader-render-precedence = mesa a4324dcefb749983e45d2ae7b005e1a6de4a3064
piglit.spec.ati_fragment_shader.ati_fragment_shader-render-sources = mesa a4324dcefb749983e45d2ae7b005e1a6de4a3064
piglit.spec.ati_fragment_shader.ati_fragment_shader-render-fog = mesa a4324dcefb749983e45d2ae7b005e1a6de4a3064
piglit.spec.ati_fragment_shader.ati_fragment_shader-render-constants = mesa a4324dcefb749983e45d2ae7b005e1a6de4a3064
piglit.spec.arb_tessellation_shader.execution.variable-indexing.tcs-patch-vec4-index-wr = mesa bd17bdc56b34a08c421172df27fe07294c7a7024
piglit.spec.arb_tessellation_shader.execution.variable-indexing.tcs-patch-vec4-swiz-index-wr = mesa bd17bdc56b34a08c421172df27fe07294c7a7024
piglit.spec.arb_texture_view.rendering-formats = mesa 1281368d02a22d08a892fbfda4cecc1219cde895
piglit.spec.arb_shader_image_load_store.host-mem-barrier = mesa 220c1dce1e3194ea867e6d948fc7ff5b9ef2d3a7
piglit.spec.arb_enhanced_layouts.execution.component-layout.vs-fs-array-dvec3 = piglit 4b925c827e8a047fcb578ce7fea8119bb2a52ac8
piglit.spec.glsl-1_20.linker.invariant-position = mesa ea9bde151f1394ff82b73d028c2a3a747723e525
piglit.spec.arb_sample_shading.arb_sample_shading-builtin-gl-sample-mask-mrt-alpha = mesa c8abe03f3b65505d2c1c165d88efb3bb62e06db1
piglit.spec.arb_framebuffer_object.framebuffer-blit-levels draw stencil = mesa ee8370c766c46752de6fa6dbb58c63a6ed5c4310
piglit.spec.arb_framebuffer_object.framebuffer-blit-levels read stencil = mesa ee8370c766c46752de6fa6dbb58c63a6ed5c4310
piglit.spec.!opengl 1_0.gl-1_0-drawpixels-color-index = mesa 3fdfface3ece93b55ba39dd987dd0962ac37bcdf
piglit.spec.!opengl 3_1.vao-broken-attrib = mesa b19494c54e704ce23f5d0523c321fbffc0f70494
piglit.spec.!opengl 1_0.gl-1_0-bitmap-heart-dance = piglit 4dc403100b2d1d91c16ff93b5e45885c4339f86a
piglit.spec.arb_separate_shader_objects.execution.layout-location-struct = mesa a7d40a13ec39df5c1e18c2afaf70988958c11933
piglit.spec.ext_packed_depth_stencil.getteximage = mesa cade9001b1758ee9b76f365b02822c97a414006a
piglit.spec.arb_enhanced_layouts.linker.component-layout.vs-to-fs-width-mismatch-double-float = mesa 75a3dd97aaeb5fea72ab432c8e9f4bd4e50877ed
piglit.spec.arb_compute_shader.execution.shared-atomicmin-int = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
piglit.spec.arb_compute_shader.execution.shared-atomicmin-uint = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
piglit.spec.arb_shader_storage_buffer_object.execution.ssbo-atomicmax-int = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
piglit.spec.arb_compute_shader.execution.shared-atomicmax-int = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
piglit.spec.arb_shader_storage_buffer_object.execution.ssbo-atomicmin-int = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
piglit.spec.arb_shader_storage_buffer_object.execution.ssbo-atomicmax-uint = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
piglit.spec.arb_compute_shader.execution.shared-atomicmax-uint = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
piglit.spec.arb_shader_storage_buffer_object.execution.ssbo-atomicmin-uint = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
piglit.spec.arb_shader_storage_buffer_object.max-ssbo-size.vs = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
piglit.spec.arb_shader_storage_buffer_object.max-ssbo-size.fs = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
piglit.spec.arb_compute_shader.execution.basic-ssbo = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
piglit.spec.glsl-1_50.gs-max-output = mesa 4fcb749044c44a2d8d1908bfa0de2a0493502242
piglit.spec.glsl-1_50.execution.variable-indexing.gs-input-array-vec4-index-rd = mesa 4fcb749044c44a2d8d1908bfa0de2a0493502242
piglit.spec.glsl-1_50.execution.geometry.max-input-components = mesa 4fcb749044c44a2d8d1908bfa0de2a0493502242
piglit.spec.glsl-1_50.execution.variable-indexing.gs-output-array-vec4-index-wr = mesa 4fcb749044c44a2d8d1908bfa0de2a0493502242
piglit.spec.glsl-1_50.execution.variable-indexing.vs-output-array-vec2-index-wr-before-gs = mesa 4fcb749044c44a2d8d1908bfa0de2a0493502242
piglit.spec.glsl-1_50.execution.variable-indexing.vs-output-array-vec4-index-wr-before-gs = mesa 4fcb749044c44a2d8d1908bfa0de2a0493502242
piglit.spec.glsl-1_50.execution.variable-indexing.gs-input-array-vec3-index-rd = mesa 4fcb749044c44a2d8d1908bfa0de2a0493502242
piglit.spec.glsl-1_50.execution.variable-indexing.gs-input-array-vec2-index-rd = mesa 4fcb749044c44a2d8d1908bfa0de2a0493502242
piglit.spec.glsl-1_50.execution.variable-indexing.vs-output-array-vec3-index-wr-before-gs = mesa 4fcb749044c44a2d8d1908bfa0de2a0493502242
piglit.spec.arb_tessellation_shader.arb_tessellation_shader-tes-gs-max-output -small -scan 1 50 = mesa 4fcb749044c44a2d8d1908bfa0de2a0493502242
piglit.spec.arb_draw_indirect.arb_draw_indirect-transform-feedback = mesa 4e9592c5fa249df11d9aab665f49f26f3d428d77
piglit.spec.ext_transform_feedback.immediate-reuse = mesa 4e9592c5fa249df11d9aab665f49f26f3d428d77
piglit.spec.!opengl es 3_0.gles-3_0-transform-feedback-uniform-buffer-object = mesa 4e9592c5fa249df11d9aab665f49f26f3d428d77
piglit.spec.ext_transform_feedback.immediate-reuse-uniform-buffer = mesa 4e9592c5fa249df11d9aab665f49f26f3d428d77
piglit.spec.arb_enhanced_layouts.compiler.transform-feedback-layout-qualifiers.xfb_offset.invalid-overlap_vert = mesa c81fbb42d94293e78e9c767bb00ad22855f9e0b0
piglit.spec.arb_get_program_binary.program_binary_retrievable_hint = mesa 62ed82ea1a93e4fb9676a1edd9447b26cdd4f173
piglit.spec.egl 1_4.eglcreatesurface = mesa 73055ae1c9f481e439ae2c91bd23652d91b4b42a
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-sample_yvu420 = mesa 47a10edefb3510d1cae071037dac78a46b31949b - NOTE: fixed by unknown commit
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-sample_nv12 = mesa 47a10edefb3510d1cae071037dac78a46b31949b - NOTE: fixed by unknown commit
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-sample_yuv420 = mesa 47a10edefb3510d1cae071037dac78a46b31949b - NOTE: fixed by unknown commit
piglit.shaders.point-vertex-id gl_vertexid divisor = mesa 47a10edefb3510d1cae071037dac78a46b31949b - NOTE: fixed by unknown commit
piglit.spec.arb_get_program_binary.reset-uniform = mesa fea36a8f43ea010ce0581a63b4b5fa1213a35982
piglit.spec.arb_get_program_binary.execution.uniform-after-restore = mesa fea36a8f43ea010ce0581a63b4b5fa1213a35982
piglit.spec.egl_khr_gl_colorspace.linear = mesa a379b1c0ee31a792bba250cc466ad4b161a610ec
piglit.spec.egl 1_4.eglcreatepbuffersurface and then glclear = mesa a379b1c0ee31a792bba250cc466ad4b161a610ec
piglit.spec.arb_fragment_shader_interlock.compiler.begininvocationinterlock-inside-non-main-function_frag = mesa 2cb5907508662b46ad4d15b44f3e786f400ee087
piglit.spec.arb_fragment_shader_interlock.compiler.begininvocationinterlock-inside-do-while_frag = mesa 2cb5907508662b46ad4d15b44f3e786f400ee087
piglit.spec.arb_fragment_shader_interlock.compiler.begininvocationinterlock-inside-while_frag = mesa 2cb5907508662b46ad4d15b44f3e786f400ee087
piglit.spec.arb_fragment_shader_interlock.compiler.endinvocationinterlock-before-begininvocationinterlock_frag = mesa 2cb5907508662b46ad4d15b44f3e786f400ee087
piglit.spec.arb_fragment_shader_interlock.compiler.endinvocationinterlock-after-return_frag = mesa 2cb5907508662b46ad4d15b44f3e786f400ee087
piglit.spec.arb_fragment_shader_interlock.compiler.begininvocationinterlock-twice_frag = mesa 2cb5907508662b46ad4d15b44f3e786f400ee087
piglit.spec.arb_fragment_shader_interlock.compiler.begininvocationinterlock-inside-switch_frag = mesa 2cb5907508662b46ad4d15b44f3e786f400ee087
piglit.spec.arb_fragment_shader_interlock.compiler.endinvocationinterlock-inside-if_frag = mesa 2cb5907508662b46ad4d15b44f3e786f400ee087
piglit.spec.arb_fragment_shader_interlock.compiler.endinvocationinterlock-twice_frag = mesa 2cb5907508662b46ad4d15b44f3e786f400ee087
piglit.spec.arb_fragment_shader_interlock.compiler.endinvocationinterlock-inside-switch_frag = mesa 2cb5907508662b46ad4d15b44f3e786f400ee087
piglit.spec.arb_fragment_shader_interlock.compiler.endinvocationinterlock-inside-for_frag = mesa 2cb5907508662b46ad4d15b44f3e786f400ee087
piglit.spec.arb_fragment_shader_interlock.compiler.endinvocationinterlock-inside-do-while_frag = mesa 2cb5907508662b46ad4d15b44f3e786f400ee087
piglit.spec.arb_fragment_shader_interlock.compiler.endinvocationinterlock-inside-non-main-function_frag = mesa 2cb5907508662b46ad4d15b44f3e786f400ee087
piglit.spec.arb_fragment_shader_interlock.compiler.begininvocationinterlock-after-return_frag = mesa 2cb5907508662b46ad4d15b44f3e786f400ee087
piglit.spec.arb_fragment_shader_interlock.compiler.begininvocationinterlock-inside-for_frag = mesa 2cb5907508662b46ad4d15b44f3e786f400ee087
piglit.spec.arb_fragment_shader_interlock.compiler.endinvocationinterlock-inside-while_frag = mesa 2cb5907508662b46ad4d15b44f3e786f400ee087
piglit.spec.arb_fragment_shader_interlock.compiler.begininvocationinterlock-inside-if_frag = mesa 2cb5907508662b46ad4d15b44f3e786f400ee087
piglit.spec.arb_copy_image.arb_copy_image-formats = mesa 659d4f613ef4479d9e0a280f80ebb05ed07daa38
piglit.spec.arb_texture_compression_bptc.fbo-generatemipmap-formats unorm = mesa 02f6995d76c9fa0fdbc7a89013f4968970ab016e
piglit.spec.ext_texture_compression_rgtc.fbo-generatemipmap-formats = mesa 02f6995d76c9fa0fdbc7a89013f4968970ab016e
piglit.spec.ext_texture_compression_rgtc.fbo-generatemipmap-formats-signed = mesa 02f6995d76c9fa0fdbc7a89013f4968970ab016e
piglit.spec.arb_texture_compression.fbo-generatemipmap-formats = mesa 02f6995d76c9fa0fdbc7a89013f4968970ab016e
piglit.spec.ext_texture_srgb.fbo-generatemipmap-formats-s3tc = mesa 02f6995d76c9fa0fdbc7a89013f4968970ab016e
piglit.spec.ext_texture_compression_s3tc.fbo-generatemipmap-formats = mesa 02f6995d76c9fa0fdbc7a89013f4968970ab016e
piglit.spec.arb_texture_compression_bptc.fbo-generatemipmap-formats float = mesa 02f6995d76c9fa0fdbc7a89013f4968970ab016e
piglit.spec.glsl-1_10.execution.variable-indexing.fs-temp-array-mat4-index-col-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-temp-array-mat4-index-col-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-varying-array-mat4-index-col-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-varying-array-mat4-index-col-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.fs-temp-array-mat4-index-col-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-varying-array-mat4-index-col-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.fs-temp-array-mat4-index-col-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-temp-array-mat4-index-col-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-temp-array-mat4-index-col-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_20.execution.variable-indexing.vs-temp-array-mat4-index-col-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.vs-varying-array-mat4-index-col-row-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.glsl-1_10.execution.variable-indexing.fs-temp-array-mat4-index-col-wr = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-sample_uyvy = mesa 7404833c2e3227b61f53ad93b0e3a1a4d545c05f
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-sample_yuyv = mesa 7404833c2e3227b61f53ad93b0e3a1a4d545c05f
piglit.spec.oes_compressed_etc1_rgb8_texture.basic = mesa 6c904773fe31731929ad46ea19a58deedfc1c1c7
piglit.spec.khr_texture_compression_astc.basic-gl = mesa 6c904773fe31731929ad46ea19a58deedfc1c1c7
piglit.spec.khr_texture_compression_astc.basic-gles = mesa 6c904773fe31731929ad46ea19a58deedfc1c1c7
piglit.spec.ext_texture_compression_s3tc.s3tc-errors = mesa 6c904773fe31731929ad46ea19a58deedfc1c1c7
piglit.spec.ext_image_dma_buf_import.ext_image_dma_buf_import-export = mesa f8887909c6683986990474b61afd6d4335a69e41
piglit.spec.arb_cull_distance.clip-cull-3 = mesa 6b8cb087568699ca9a6e9e8b7bf49179e622b59f
piglit.spec.arb_cull_distance.clip-cull-4 = mesa 6b8cb087568699ca9a6e9e8b7bf49179e622b59f
piglit.spec.arb_cull_distance.clip-cull-1 = mesa 6b8cb087568699ca9a6e9e8b7bf49179e622b59f
piglit.spec.arb_cull_distance.clip-cull-2 = mesa 6b8cb087568699ca9a6e9e8b7bf49179e622b59f
piglit.spec.arb_tessellation_shader.execution.variable-indexing.tcs-patch-output-array-vec3-index-wr = mesa f306d079320b328199898b15601ac5633b5781bd
piglit.spec.arb_tessellation_shader.execution.variable-indexing.tes-patch-input-array-vec3-index-rd = mesa f306d079320b328199898b15601ac5633b5781bd
piglit.spec.arb_tessellation_shader.execution.variable-indexing.tcs-patch-output-array-vec4-index-wr = mesa f306d079320b328199898b15601ac5633b5781bd
piglit.spec.arb_tessellation_shader.execution.variable-indexing.tes-both-input-array-float-index-rd = mesa f306d079320b328199898b15601ac5633b5781bd
piglit.spec.arb_tessellation_shader.execution.variable-indexing.tes-patch-input-array-vec2-index-rd = mesa f306d079320b328199898b15601ac5633b5781bd
piglit.spec.arb_tessellation_shader.execution.variable-indexing.tcs-patch-output-array-float-index-wr = mesa f306d079320b328199898b15601ac5633b5781bd
piglit.spec.arb_tessellation_shader.execution.variable-indexing.tes-both-input-array-vec3-index-rd = mesa f306d079320b328199898b15601ac5633b5781bd
piglit.spec.arb_tessellation_shader.execution.variable-indexing.tes-both-input-array-vec2-index-rd = mesa f306d079320b328199898b15601ac5633b5781bd
piglit.spec.arb_tessellation_shader.execution.variable-indexing.tcs-patch-output-array-vec2-index-wr = mesa f306d079320b328199898b15601ac5633b5781bd
piglit.spec.arb_tessellation_shader.execution.variable-indexing.tes-both-input-array-vec4-index-rd = mesa f306d079320b328199898b15601ac5633b5781bd
piglit.spec.arb_tessellation_shader.execution.variable-indexing.tes-patch-input-array-vec2-index-invalid-rd = mesa f306d079320b328199898b15601ac5633b5781bd
piglit.spec.arb_tessellation_shader.execution.variable-indexing.tes-patch-input-array-float-index-rd = mesa f306d079320b328199898b15601ac5633b5781bd
piglit.spec.arb_tessellation_shader.execution.variable-indexing.tes-patch-input-array-vec4-index-rd = mesa f306d079320b328199898b15601ac5633b5781bd
piglit.spec.arb_tessellation_shader.execution.barrier-patch = mesa f306d079320b328199898b15601ac5633b5781bd
piglit.spec.arb_shader_storage_buffer_object.maxblocks = mesa d4a3b09c4bfd955dab92dbb27ab8bc273d18e649
piglit.spec.ext_disjoint_timer_query.simple = mesa 7a893a0d5734adefd6e7e88efb07e60d01c44cdf
piglit.spec.intel_shader_atomic_float_minmax.execution.ssbo-atomicmax-float-nan = piglit d44351e757ca176c48a0fda8f48587055fc2c92f
piglit.spec.intel_shader_atomic_float_minmax.execution.ssbo-atomicmin-float-nan = piglit d44351e757ca176c48a0fda8f48587055fc2c92f
piglit.spec.intel_shader_atomic_float_minmax.execution.ssbo-atomiccompswap-float-negative-zero = piglit d44351e757ca176c48a0fda8f48587055fc2c92f
piglit.shaders.sel-neg-int-cast-of-float = mesa 2fca325ea65f068043d4c18c9cd0fe7f25bde8f7
piglit.spec.ext_texture_format_bgra8888.api-errors = piglit c248bf2013d8223f7b7867cf38d5247b8b9e2005
piglit.spec.arb_tessellation_shader.arb_tessellation_shader-large-uniforms = mesa d61a21f439386b12752d498b1b1c85a891c50bc8
piglit.spec.arb_separate_shader_objects.linker.pervertex-clipdistance-tcs-out-tes = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_separate_shader_objects.linker.pervertex-clipdistance-vs-out-gs = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_separate_shader_objects.linker.pervertex-pointsize-vs-out-gs = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_separate_shader_objects.linker.pervertex-pointsize-tes-out-gs = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_separate_shader_objects.linker.pervertex-position-tcs-out-tes = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_separate_shader_objects.linker.pervertex-pointsize-tcs-out-tes = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_separate_shader_objects.linker.pervertex-culldistance-vs-out-gs = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_separate_shader_objects.linker.pervertex-position-tes-out-gs = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_separate_shader_objects.linker.pervertex-clipdistance-vs-out-tcs = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_separate_shader_objects.linker.pervertex-pointsize-vs-out-tcs = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_separate_shader_objects.linker.pervertex-clipdistance-tes-out-gs = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_separate_shader_objects.linker.pervertex-culldistance-tcs-out-tes = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_separate_shader_objects.linker.pervertex-culldistance-vs-out-tcs = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_separate_shader_objects.linker.pervertex-position-vs-out-tcs = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_separate_shader_objects.linker.pervertex-culldistance-tes-out-gs = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.arb_separate_shader_objects.linker.pervertex-position-vs-out-gs = mesa 272ef5d39a1f72d58dc2fb2be03bc598083197fb
piglit.spec.ext_gpu_shader4.execution.fs-shift-left-of-shift-left = piglit ddeda8cabd18c7ab5ffe723540dad60259b9e606
piglit.spec.glsl-es-3_10.execution.vs-simple-atomic-counter-inc-dec-read = piglit 603cfb97542a411e8957a0d689d8b28cf8b9ef4d
piglit.spec.arb_shader_storage_buffer_object.compiler.unused-array-element_frag = mesa 6c1c13e90e67c716ff97ba8c45a5a04c2b57b4a2
piglit.spec.arb_shader_storage_buffer_object.compiler.unused-array-element_comp = mesa 6c1c13e90e67c716ff97ba8c45a5a04c2b57b4a2
piglit.spec.arb_gl_spirv.execution.ssbo.array-of-arrays-inside-ssbo = piglit 55c23f147f4fe8d28952fb2660206f82915539ad
piglit.spec.arb_gl_spirv.execution.ubo.location-0-crash = piglit 55c23f147f4fe8d28952fb2660206f82915539ad
piglit.spec.arb_gl_spirv.execution.ssbo.two-ssbo = piglit 55c23f147f4fe8d28952fb2660206f82915539ad
piglit.spec.arb_gl_spirv.execution.ssbo.array-inside-ssbo = piglit 55c23f147f4fe8d28952fb2660206f82915539ad
piglit.spec.arb_gl_spirv.execution.ubo.two-ubos = piglit 55c23f147f4fe8d28952fb2660206f82915539ad
piglit.spec.arb_gl_spirv.execution.ubo.two-stages = piglit 55c23f147f4fe8d28952fb2660206f82915539ad
piglit.spec.arb_gl_spirv.execution.ssbo.two-stages = piglit 55c23f147f4fe8d28952fb2660206f82915539ad
piglit.spec.arb_gl_spirv.execution.ssbo.simple = piglit 55c23f147f4fe8d28952fb2660206f82915539ad
piglit.spec.arb_gl_spirv.execution.ubo.array-inside-ubo = piglit 55c23f147f4fe8d28952fb2660206f82915539ad
piglit.spec.arb_gl_spirv.execution.ubo.simple = piglit 55c23f147f4fe8d28952fb2660206f82915539ad
piglit.spec.arb_gl_spirv.execution.ubo.array-of-arrays-inside-ubo = piglit 55c23f147f4fe8d28952fb2660206f82915539ad
piglit.spec.arb_gl_spirv.execution.ubo.array = piglit 55c23f147f4fe8d28952fb2660206f82915539ad
piglit.spec.arb_gl_spirv.execution.ssbo.array-indirect = piglit 55c23f147f4fe8d28952fb2660206f82915539ad
piglit.spec.arb_gl_spirv.execution.ssbo.array = piglit 55c23f147f4fe8d28952fb2660206f82915539ad
piglit.spec.arb_gl_spirv.execution.ubo.array-indirect = piglit 55c23f147f4fe8d28952fb2660206f82915539ad
piglit.spec.intel_shader_integer_functions2.execution.built-in-functions.fs-counttrailingzeros-uint = mesa 4e9079d0c71e42e152a00678bbe2665882849a43
piglit.spec.intel_shader_integer_functions2.execution.built-in-functions.vs-counttrailingzeros-uint = mesa 4e9079d0c71e42e152a00678bbe2665882849a43
piglit.spec.arb_shading_language_include.compile.path_not_in_directive_frag = mesa 1305b932747ff4f8ab0253b12dc979dcbfd6777b
piglit.spec.glsl-1_10.compiler.literals.invalid-string_vert = mesa 1305b932747ff4f8ab0253b12dc979dcbfd6777b
piglit.spec.arb_gpu_shader_fp64.execution.arb_gpu_shader_fp64-vs-non-uniform-control-flow-ssbo = mesa 259cae4442ba3ad1d1b8e981e47f42493d93ca86
piglit.spec.!opengl 1_0.gl-1_0-fpexceptions = mesa eeab9c93db84e5759145891e8fdde66a5cdcf917
piglit.spec.!opengl 1_1.gl-1_1-color-material-unused-normal-array = mesa eeab9c93db84e5759145891e8fdde66a5cdcf917
piglit.spec.!opengl 1_1.max-texture-size = mesa 8f0d3874411ec3c0dcb1171cad5930db70fb48b4
piglit.spec.glsl-1_10.execution.glsl-fs-loop-while-false-03 = piglit d1bc2aed4f1e73f92c5f435beb06c24b3fab1368
piglit.spec.arb_gl_spirv.execution.uniform.atomic-uint-array-fs = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
piglit.spec.arb_shader_group_vote.vs-all-uniform = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
piglit.spec.ext_demote_to_helper_invocation.execution.demote_with_derivatives = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
piglit.spec.arb_gl_spirv.execution.uniform.atomic-uint-aoa-fs = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
piglit.spec.arb_gl_spirv.execution.uniform.atomic-uint-mixing-with-normal-uniforms = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
piglit.spec.arb_gl_spirv.execution.uniform.atomic-uint-several-slots = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
piglit.spec.arb_shader_group_vote.vs-any-const = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
piglit.spec.arb_shader_group_vote.vs-any-uniform = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
piglit.spec.arb_shader_group_vote.cs-any = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
piglit.spec.ext_demote_to_helper_invocation.compiler.is_helper_invocation_builtin_frag = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
piglit.spec.arb_shader_group_vote.cs-all = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
piglit.spec.arb_shader_group_vote.vs-all-const = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
piglit.fast_color_clear.fcc-write-after-clear = mesa f8961ea08654ed762608535f331e169f7afde182
piglit.spec.glsl-1_10.execution.gl_lightsource_indirect = mesa 64a2500a6975f7ea42c93f5c20dc295e99f3b612
piglit.spec.arb_arrays_of_arrays.compiler.gs-input-sizing-implied-length-consistent-with-prev-usage-blocks_geom = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.glsl-1_20.compiler.structure-and-array-operations.array-redeclaration-01_vert = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.arb_arrays_of_arrays.compiler.redeclaration_vert = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.arb_arrays_of_arrays.compiler.gs-input-sizing-implied-length-consistent-with-prev-usage_geom = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.glsl-1_50.compiler.gs-input-sizing-implied-length-consistent-with-prev-usage_geom = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.glsl-1_20.compiler.structure-and-array-operations.array-resize-after-access-big-enough_vert = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.glsl-1_50.compiler.gs-input-sizing-implied-length-consistent-with-prev-usage-blocks_geom = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.arb_arrays_of_arrays.compiler.redeclaration2_vert = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.arb_arrays_of_arrays.compiler.redeclaration-initializer_vert = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.glsl-1_20.compiler.structure-and-array-operations.array-redeclaration-initializer_vert = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.glslparsertest.shaders.correctunsizedarray_frag = mesa d2bd77eae4800e739ad360d4e06a7243d2335f84
piglit.spec.glsl-1_10.execution.cmod-cmp-to-add-e = mesa 36abb0c6918c89bdd5a155df21dbd7b4ee0a9dde
piglit.spec.glsl-1_10.execution.cmod-cmp-to-add-ge = mesa 36abb0c6918c89bdd5a155df21dbd7b4ee0a9dde
piglit.spec.glsl-1_10.execution.cmod-cmp-to-add-ne = mesa 36abb0c6918c89bdd5a155df21dbd7b4ee0a9dde
piglit.spec.glsl-1_10.execution.cmod-cmp-to-add-l = mesa 36abb0c6918c89bdd5a155df21dbd7b4ee0a9dde
piglit.spec.arb_direct_state_access.texture-errors = mesa 485ea7d711fc2bbbdd83e2670121cb16ae42f7f7
piglit.spec.arb_gl_spirv.execution.uniform.atomic-uint-array-cs = mesa 9e596cc2c21a3542520604aceda6754cd2259941
piglit.spec.arb_gl_spirv.execution.uniform.atomic-uint-cs = mesa 9e596cc2c21a3542520604aceda6754cd2259941
piglit.spec.arb_gl_spirv.execution.uniform.atomic-uint-aoa-cs = mesa 9e596cc2c21a3542520604aceda6754cd2259941
piglit.spec.arb_gl_spirv.execution.uniform.sampler2d-struct = mesa 4816f6f8d88f4f9004416b8cebccdddbe24ca95b
piglit.spec.arb_gl_spirv.execution.uniform.sampler2d-nonconst-nested-array = mesa 4816f6f8d88f4f9004416b8cebccdddbe24ca95b
piglit.spec.arb_vertex_program.vp-write-undefined-to-output = mesa 782ba8d3ae55af392da8ca829f3a185c10bbecfc
piglit.spec.glsl-1_20.execution.matrix-out-of-bounds-access.fs-mat4-out-of-bounds-5 = mesa 16f1d8b3910
piglit.spec.glsl-1_20.execution.matrix-out-of-bounds-access.fs-mat4-out-of-bounds-2 = mesa 16f1d8b3910
piglit.spec.glsl-1_20.execution.matrix-out-of-bounds-access.fs-mat4-out-of-bounds-4 = mesa 16f1d8b3910
piglit.spec.glsl-1_20.execution.vector-out-of-bounds-access.fs-vec4-out-of-bounds-1 = mesa e802bff69ee74983215d0c2b7e213fca6d68a97d
piglit.spec.glsl-1_20.execution.vector-out-of-bounds-access.fs-vec4-out-of-bounds-6 = mesa e802bff69ee74983215d0c2b7e213fca6d68a97d
piglit.spec.glsl-1_20.execution.vector-out-of-bounds-access.fs-vec4-out-of-bounds-4 = mesa e802bff69ee74983215d0c2b7e213fca6d68a97d
piglit.spec.glsl-1_20.execution.vector-out-of-bounds-access.fs-vec4-out-of-bounds-5 = mesa e802bff69ee74983215d0c2b7e213fca6d68a97d
piglit.spec.glsl-1_20.execution.vector-out-of-bounds-access.fs-vec4-out-of-bounds-2 = mesa e802bff69ee74983215d0c2b7e213fca6d68a97d
piglit.spec.glsl-1_50.execution.geometry.clip-distance-vs-gs-out = mesa 03eec294b90759be48b5c85fda5e54bed683068f

